ConstrainedPropertyBuilder (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.validation

## [Java] Class ConstrainedPropertyBuilder

- org.grails.validation.ConstrainedPropertyBuilder

- Builder used as a delegate within the "constraints" closure of GrailsDomainClass instances .

  Authors:
    Graeme Rocher

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ConstrainedPropertyBuilder (java.lang.Object target)`
    `ConstrainedPropertyBuilder (java.lang.Class<?> targetClass)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes)`
    `protected java.lang.Object` | `createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)`
    `protected java.lang.Object` | `createNode(java.lang.Object name)`
    `protected java.lang.Object` | `createNode(java.lang.Object name, java.lang.Object value)`
    `protected java.lang.Object` | `doInvokeMethod(java.lang.String methodName, java.lang.Object name, java.lang.Object args)`
    `java.util.Map<java.lang.String, Constrained>` | `getConstrainedProperties()`
    `java.lang.Object` | `getProperty(java.lang.String property)`
    `java.lang.String` | `getSharedConstraint(java.lang.String propertyName)`
    `protected void` | `setParent(java.lang.Object parent, java.lang.Object child)`
    `void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.util.BuilderSupport` | `groovy.util.BuilderSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#invokeMethod(java.lang.String), groovy.util.BuilderSupport#getMetaClass(), groovy.util.BuilderSupport#setMetaClass(groovy.lang.MetaClass), groovy.util.BuilderSupport#setProperty(java.lang.String, java.lang.Object), groovy.util.BuilderSupport#getProperty(java.lang.String), groovy.util.BuilderSupport#wait(long, int), groovy.util.BuilderSupport#wait(long), groovy.util.BuilderSupport#wait(), groovy.util.BuilderSupport#equals(java.lang.Object), groovy.util.BuilderSupport#toString(), groovy.util.BuilderSupport#hashCode(), groovy.util.BuilderSupport#getClass(), groovy.util.BuilderSupport#notify(), groovy.util.BuilderSupport#notifyAll()`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public ConstrainedPropertyBuilder(java.lang.Object target)

    - #### public ConstrainedPropertyBuilder(java.lang.Class<?> targetClass)

  - ### Method Detail

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes)

    - #### @java.lang.SuppressWarnings("rawtypes") @java.lang.Override protected java.lang.Object createNode(java.lang.Object name, java.util.Map attributes, java.lang.Object value)

    - #### @java.lang.Override protected java.lang.Object createNode(java.lang.Object name)

    - #### @java.lang.Override protected java.lang.Object createNode(java.lang.Object name, java.lang.Object value)

    - #### @java.lang.Override protected java.lang.Object doInvokeMethod(java.lang.String methodName, java.lang.Object name, java.lang.Object args)

    - #### public java.util.Map<java.lang.String, Constrained> getConstrainedProperties()

    - #### @java.lang.Override public java.lang.Object getProperty(java.lang.String property)

    - #### public java.lang.String getSharedConstraint(java.lang.String propertyName)

    - #### @java.lang.Override protected void setParent(java.lang.Object parent, java.lang.Object child)

    - #### @java.lang.Override public void setProperty(java.lang.String property, java.lang.Object newValue)